7941 Will not load firmware via tftp

Answered Question
Jun 4th, 2010


I'm trying to configure a 2901 CUCME router.  It has IOS 15.1(1)T and CUCME 8.0.

I am having a problem with 7941G IP phones downloading their firmware.  I have tried various versions of the firmware and watched it download via debugs:

*Jun  4 21:03:10.247: TFTP: Server request for port 49152, socket_id 0x29D24A78
for process 87
*Jun  4 21:03:10.247: TFTP: read request from host via Gig
*Jun  4 21:03:10.247: TFTP: Looking for term41.default.loads
*Jun  4 21:03:10.247: TFTP: Opened flash0:term41.default.loads, fd 15, size 642
for process 87

This is where it stops and the phone reboots to the Cisco splash screen with a target symbol in the lower left.  I only have 7941G phones to test with but this is happening with mulitple phones.

I have the option 150 set in DHCP and the proper tftp statements (with the files uploaded to flash):

tftp-server flash:apps41.9-0-2ES3.sbn
tftp-server flash:cnu41.9-0-2ES3.sbn
tftp-server flash:cvm41sccp.9-0-2ES3.sbn
tftp-server flash:dsp41.9-0-2ES3.sbn
tftp-server flash:jar41sccp.9-0-2ES3.sbn
tftp-server flash:SCCP41.9-0-2SR2S.loads
tftp-server flash:term41.default.loads
tftp-server flash:term61.default.loads

I've also upgrade the IOS from the factory installed 15.1(1)M2 and the problem was there for both IOS images.

Any help would be much appreciated!

I have this problem too.
0 votes
Correct Answer by rob.huffman about 6 years 4 months ago

Hi there,

Have you tried a pre 8.5.2 firmware?? To get to 9.x or 8.5.3 you must

step through 8.5.2

Just a thought.



  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Correct Answer
rob.huffman Fri, 06/04/2010 - 18:05

Hi there,

Have you tried a pre 8.5.2 firmware?? To get to 9.x or 8.5.3 you must

step through 8.5.2

Just a thought.



gmgarrian Mon, 06/07/2010 - 09:37

I thought that the firmware was self contained and you didn't have to step through anything?

I'll give it a try though.

I'll let you know...

gmgarrian Mon, 06/07/2010 - 12:06

Okay...that worked.

Why?  Two IOS changes and four different phone firmwares to find the right combo?

Is that normal?

I haven't done millions of these but enough to think this is wacky.

Thanks for the help Rob!  Post rated.

rob.huffman Mon, 06/07/2010 - 12:38

Hi there,

This is not a usual requirement for phone firmware and

has really messed things up for many, many people and upgrades/

installs. It has been many years since there was a pre-requisite firmware

requirement for any version. I'm not sure what happened with the newest

versions or why they require this "mid-point" step. But at least you have

moved past this and on to bigger better things It's a royal pain that will

bite many more people in the foreseeable future.



gmgarrian Mon, 06/07/2010 - 12:53

So now that I've installed this version, the other versions that I've already tried may now work?

I love it!

Thanks again.

rob.huffman Tue, 06/08/2010 - 06:15

Hi there,

Yes, this is a real pain in the you know what

Firmware Upgrade Issues for SCCP

Note For all SCCP firmware upgrades from firmware release versions earlier than 8.3(3) to version 8.5(2)SR1 or greater, you must first upgrade your firmware to version 8.5(2). Once you have upgraded to version 8.5(2), you can upgrade your IP Phone to version 8.5(2)SR1 or later.


Hope this helps!


Andreas Klein Tue, 06/08/2010 - 07:30

Hello, we experienced the same problem when upgrading to CUCM 7.0 and also with 8.0 on the phones that weren't plugged in to see version 7.0.

Had a case yesterday with an older 7911G, I did the manual to 8.5.2 and then after that let it go to SCCP41.9-0-2SR1S by itself.

Tonight we upgrade to the latest brand-spankin new 8.0.2c!


This Discussion